#include once "fltk-c.bi"

' test of:
' Fl_PixmapNew
' FL_ALIGN_IMAGE_BACKDROP

#include "gradient_xpm.bi"

dim as Fl_Pixmap ptr img  = Fl_PixmapNew(@gradient_xpm(0))
dim as Fl_Window ptr win  = Fl_WindowNew(320,45,"FL_ALIGN_IMAGE_BACKDROP")
dim as Fl_Button ptr but1 = Fl_ButtonNew( 10, 10,140,25,"Button 1")
dim as Fl_Button ptr but2 = Fl_ButtonNew(160, 10,140,25)
Fl_WidgetSetImage but1,img : Fl_WidgetSetAlign but1,FL_ALIGN_IMAGE_BACKDROP
Fl_WidgetSetImage but2,img

Fl_WindowShow win
Fl_Run


